package com.starmicronics.mpopsdk;

import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.os.Bundle;
import android.support.v7.app.ActionBarActivity;
import android.view.Menu;
import android.view.MenuItem;

public class CommonActivity extends ActionBarActivity {
    public static final String BUNDLE_KEY_TEST_BUTTON_TEXT   = "bundle_key_test_button_text";
    public static final String BUNDLE_KEY_SHOW_HOME_BUTTON   = "bundle_key_show_home_button";
    public static final String BUNDLE_KEY_SHOW_RELOAD_BUTTON = "bundle_key_show_Reload_button";
    public static final String BUNDLE_KEY_SELECTED_INDEX     = "bundle_key_selected_index";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        Intent intent = getIntent();
        setContentView(intent.getIntExtra("ActivityLayout", R.layout.fragment_dummy));

        if (intent.getBooleanExtra(CommonActivity.BUNDLE_KEY_SHOW_HOME_BUTTON, false)) {
            getSupportActionBar().setDisplayHomeAsUpEnabled(true);
            getSupportActionBar().setHomeButtonEnabled(true);
        }

        getSupportActionBar().setTitle(getString(R.string.app_name) + " Ver." + getVersionName(this));
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        Intent intent = getIntent();

        if (intent.getBooleanExtra(CommonActivity.BUNDLE_KEY_SHOW_RELOAD_BUTTON, false)) {
            getMenuInflater().inflate(R.menu.menu_main, menu);
        }

        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        int id = item.getItemId();

        if (id == android.R.id.home) {
            finish();
        }

        return super.onOptionsItemSelected(item);
    }

    protected static String getVersionName(Context context) {
        PackageManager pm = context.getPackageManager();
        String versionName = "";

        try {
            PackageInfo packageInfo = pm.getPackageInfo(context.getPackageName(), 0);
            versionName = packageInfo.versionName;
        }
        catch (PackageManager.NameNotFoundException e) {
            // Nothing
        }

        return versionName;
    }
}
