package com.starmicronics.mpopsdk;

class TextInfo {
    private static final int defaultTextColor = 0xFF4285F4;

    private final String  mText;
    private final int     mResourceID;
    private final int     mTextColor;
    private       boolean mIsCustomTextColor;

    TextInfo(String text, int resourceID) {
        this(text, resourceID, defaultTextColor);
        mIsCustomTextColor = false;
    }

    TextInfo(String text, int resourceID, int textColor) {
        mText              = text;
        mResourceID        = resourceID;
        mTextColor         = textColor;
        mIsCustomTextColor = true;
    }

    public String getText() {
        return mText;
    }

    public int getResourceID() {
        return mResourceID;
    }

    public int getTextColor() { return mTextColor; }

    public boolean isCustomTextColor() {
        return mIsCustomTextColor;
    }
}
