package com.starmicronics.mpopsdk;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.ListView;

import java.util.ArrayList;
import java.util.List;

public class MainFragment extends ItemListFragment {
    private final static int PRINTER_SET_REQUEST_CODE = 1;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        updateList();
    }

    private void updateList() {
        adapter.clear();

        PrinterSetting setting = new PrinterSetting(getActivity());

        addTitle("Destination Device");
        addPrinterInfo(setting.getDeviceName(), setting.getMacAddress());

        addTitle("Printer");
        addMenu("Sample");

        addTitle("Cash Drawer");
        addMenu("Sample");

        addTitle("Barcode Reader");
        addMenu("StarIoExtManager Sample");

        addTitle("Combination");
        addMenu("StarIoExtManager Sample");
    }

    private void addPrinterInfo(String deviceName, String macAddress) {
        List<TextInfo> textList = new ArrayList<>();

        textList.add(new TextInfo(deviceName, R.id.deviceNameTextView));
        textList.add(new TextInfo(macAddress, R.id.macAddressTextView));

        adapter.add(new ItemList(R.layout.list_printer_info_row, textList, true));
    }

    @Override
    public void onListItemClick(ListView l, View v, int position, long id) {
        super.onListItemClick(l, v, position, id);

        Intent intent;

        intent = new Intent(getActivity(), CommonActivity.class);

        boolean isNeedResult = false;

        switch (position) {
            case 1:
                intent.putExtra("ActivityLayout", R.layout.activity_printer_search);
                intent.putExtra(CommonActivity.BUNDLE_KEY_SHOW_HOME_BUTTON, true);
                isNeedResult = true;
                break;
            default:
            case 3:
                intent.putExtra("ActivityLayout", R.layout.activity_printer);
                intent.putExtra(CommonActivity.BUNDLE_KEY_SHOW_HOME_BUTTON, true);
                break;
            case 5:
                intent.putExtra("ActivityLayout", R.layout.activity_cash_drawer);
                intent.putExtra(CommonActivity.BUNDLE_KEY_SHOW_HOME_BUTTON, true);
                break;
            case 7:
                intent.putExtra("ActivityLayout", R.layout.activity_barcode_reader_ext);
                intent.putExtra(CommonActivity.BUNDLE_KEY_SHOW_HOME_BUTTON, true);
                intent.putExtra(CommonActivity.BUNDLE_KEY_SHOW_RELOAD_BUTTON, true);
                break;
            case 9:
                intent.putExtra("ActivityLayout", R.layout.activity_combination);
                intent.putExtra(CommonActivity.BUNDLE_KEY_SHOW_HOME_BUTTON, true);
                break;
        }

        if (isNeedResult) {
            startActivityForResult(intent, PRINTER_SET_REQUEST_CODE);
        }
        else {
            startActivity(intent);
        }
    }

    @Override
    public void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);

        if (requestCode == PRINTER_SET_REQUEST_CODE) {
            updateList();
        }
    }
}
